clang-tools 6.0.0

Classes | Functions
clang::tidy::llvm Namespace Reference

## Classes
class | IncludeOrderCheck
| Checks the correct order of `#includes`. More...
class | LLVMHeaderGuardCheck
| Finds and fixes header guards that do not adhere to LLVM style. More...
class | LLVMModule
class | TwineLocalCheck
| Looks for local `Twine` variables which are prone to use after frees and should be generally avoided. More...

## Functions
static int | getPriority (StringRef Filename, bool IsAngled, bool IsMainModule)
static ClangTidyModuleRegistry::Add< LLVMModule > | X ("llvm-module", "Adds LLVM lint checks.")

## Function Documentation

## ◆ getPriority()

static int clang::tidy::llvm::getPriority | ( | StringRef | Filename,
|  | bool | IsAngled,
|  | bool | IsMainModule
| ) |  |
| static

Definition at line 58 of file IncludeOrderCheck.cpp.

References File, and IsAngled.

## ◆ X()

static ClangTidyModuleRegistry::Add<LLVMModule> clang::tidy::llvm::X | ( | "llvm-module" | ,
|  | "Adds LLVM lint checks." |
| ) |  |
| static

Referenced by clang::tidy::llvm::LLVMModule::addCheckFactories().